﻿$epicprocess = "EpicGamesLauncher"
 
#find epic process if running, and close it
$process = get-process -Name $epicprocess -ErrorAction SilentlyContinue
 
if ($process)
{
    Stop-Process $process
 
    if ($?)
    {
        Write-Output "Stopping $($process.Name) process..."
    }
 
}
else
{
    Write-Output "$($epicprocess) process not running..."
}

$ErrorActionPreference = 'Stop';

$packageName= 'epicinstaller'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://epicgames-download1.akamaized.net/Builds/UnrealEngineLauncher/Installers/Win32/EpicInstaller-10.19.2.msi"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url

  softwareName  = 'epicgameslauncher*'

  checksum      = 'B24E6568EC5DDC968733FBE4E8D05088A38E496B1A350D0F2101646FB10A8A2E'
  checksumType  = 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs